package com.mortals.xhx.module.api.feign.portal;

import lombok.Data;

/**
 * @author luoshichao
 * @Description
 * @date 2021/3/25 10:58
 */
@Data
public class PortalUserReq {
    private Long id;
    /** 登录名 */
    private String loginName;
    /** 密码，明文 */
    private String password;
    /** 手机号码 */
    private String mobile;
    /** 状态 */
    private Integer status;
    /** 版本号 查询出大于该版本号的数据 */
    private Long versionStart;

    public static PortalUserReq mobileReq(String mobile) {
        PortalUserReq req = new PortalUserReq();
        req.setMobile(mobile);
        return req;
    }

    public static PortalUserReq loginNameReq(String loginName) {
        PortalUserReq req = new PortalUserReq();
        req.setLoginName(loginName);
        return req;
    }

    public static PortalUserReq idReq(long id) {
        PortalUserReq req = new PortalUserReq();
        req.setId(id);
        return req;
    }
}
